System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.Component System.Diagnostics.MonitoringDescription("Represents a system process") System.ComponentModel.Designer("System.Diagnostics.Design.ProcessDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.DefaultProperty("StartInfo") System.ComponentModel.DefaultEvent("Exited") Provides the neccesary functionality for managing processes like starting and stopping them.

The Process class provides the means for interacting with the operating system processes. Once a object has been created, it can be used to access information about the process, as well as interacting with it.

During process launching, if the ShellExecute attribute is set to true, then files and documents that have a mime-type associated will be launched, with the operating system specific mechanism to open these files.

Operating Environment
Command used to start process
Linux, with FreeDesktop
xdg-open
Linux, with Gnome
gnome-open
Linux, with KDE
kfmclient exec
MacOS X
open
Windows
start
- Constructor
  Creates a new object.
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Base process priority.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void To be added. To be added.
- Method
  System.Void Releases any resources associated with the current process. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Check for exiting of the process to raise the apropriate event.") System.ComponentModel.Browsable(false) System.ComponentModel.DefaultValue(false)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.Diagnostics.DataReceivedEventHandler To be added. To be added. System.Diagnostics.MonitoringDescription("Raised when it receives error data") System.ComponentModel.Browsable(true)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The exit code of the process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Raised when this process exits.") System.ComponentModel.Category("Behavior")
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The exit time of the process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Diagnostics.Process To be added To be added: an object of type 'Process' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process `` To be added: an object of type 'int' To be added To be added: an object of type 'Process' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process `` `` To be added: an object of type 'int' To be added: an object of type 'string' To be added To be added: an object of type 'Process' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process[] To be added To be added: an object of type 'Process []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process[] `` To be added: an object of type 'string' To be added To be added: an object of type 'Process []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process[] `` To be added: an object of type 'string' To be added To be added: an object of type 'Process []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process[] `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'Process []' To be added 1.0.5000.0 2.0.0.0
- Property
  System.IntPtr To be added To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Handle for this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Handles for this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Determines if the process is still running.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Process identifier.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Void Kill the running process. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The name of the computer running the process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Diagnostics.ProcessModule To be added To be added: an object of type 'ProcessModule' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The main module of the process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.IntPtr To be added To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The handle of the main window of the process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The title of the main window of the process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.IntPtr To be added To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The maximum working set for this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.IntPtr To be added To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The minimum working set for this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Diagnostics.ProcessModuleCollection To be added To be added: an object of type 'ProcessModuleCollection' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The modules that are loaded as part of this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The number of bytes that are not pageable.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use NonpagedSystemMemorySize64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The number of bytes that are not pageable.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.Diagnostics.DataReceivedEventHandler To be added. To be added. System.Diagnostics.MonitoringDescription("Raised when it receives output data") System.ComponentModel.Browsable(true)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The number of bytes that are paged.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use PagedMemorySize64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The number of bytes that are paged.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The amount of paged system memory in bytes.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use PagedSystemMemorySize64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The amount of paged system memory in bytes.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The maximum amount of paged memory used by this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use PeakPagedMemorySize64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The maximum amount of paged memory used by this process.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The maximum amount of virtual memory used by this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use PeakVirtualMemorySize64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The maximum amount of virtual memory used by this process.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The maximum amount of system memory used by this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use PeakWorkingSet64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The maximum amount of system memory used by this process.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Process will be of higher priority while it is actively used.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Diagnostics.ProcessPriorityClass To be added To be added: an object of type 'ProcessPriorityClass' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The relative process priority.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Obsolete("Use PrivateMemorySize64") System.Diagnostics.MonitoringDescription("The amount of memory exclusively used by this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The amount of memory exclusively used by this process.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Property
  System.TimeSpan To be added To be added: an object of type 'TimeSpan' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The amount of processing time spent in the OS core for this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The name of this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.IntPtr To be added To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Allowed processor that can be used by this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Is this process responsive.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  2.0.0.0
  System.Diagnostics.MonitoringDescription("The session ID for this process.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int32 To be added. To be added. To be added.
- Property
  System.IO.StreamReader To be added To be added: an object of type 'IO.StreamReader' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The standard error stream of this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.IO.StreamWriter To be added To be added: an object of type 'IO.StreamWriter' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The standard input stream of this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.IO.StreamReader To be added To be added: an object of type 'IO.StreamReader' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The standard output stream of this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Boolean Starts the process referenced by the object. Boolean value representing how process was started. This is true when a new process is created, and false when an existing process is reused. To Be Added. 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process `` The object containing the details of the process to be started. Static method for creating and starting a new process based on the information in the specified in the object. This method is useful for creating a new object and starting it. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process `` Commandline for the new process. This includes the executable path followed (optionally) by the commandline arguments to it. Create and start a new Process with the specified commandline. Process for the specified commandline. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.Process `` `` Path to the application to be executed. Arguments to be passed to the program. Create and start a new Process with the specified commandline and it's parameters. Process for the specified commandline. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Diagnostics.Process `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Diagnostics.Process `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Diagnostics.ProcessStartInfo To be added To be added: an object of type 'ProcessStartInfo' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Information for the start of this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The time this process started.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.ComponentModel.ISynchronizeInvoke To be added To be added: an object of type 'ComponentModel.ISynchronizeInvoke' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The object that is used to synchronize event handler calls for this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DefaultValue(null)
- Property
  System.Diagnostics.ProcessThreadCollection To be added To be added: an object of type 'ProcessThreadCollection' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The number of threads of this process.") System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.TimeSpan To be added To be added: an object of type 'TimeSpan' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The total CPU time spent for this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.TimeSpan To be added To be added: an object of type 'TimeSpan' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The CPU time spent for this process in user mode.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The amount of virtual memory currently used for this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use VirtualMemorySize64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The amount of virtual memory currently used for this process.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The amount of physical memory currently used for this process.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.Obsolete("Use WorkingSet64")
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.MonitoringDescription("The amount of physical memory currently used for this process.")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Int64 To be added. To be added. To be added.